ComponentWithNativeRuntime (Gradle API 4.5.1)
Date: 2018-02-05

org.gradle.language.nativeplatform

## Interface ComponentWithNativeRuntime

- All Superinterfaces:
    Named, SoftwareComponent
  All Known Subinterfaces:
    ComponentWithExecutable, ComponentWithInstallation, ComponentWithLinkFile, ComponentWithLinkUsage, ComponentWithObjectFiles, ComponentWithRuntimeFile, ComponentWithRuntimeUsage, ComponentWithSharedLibrary, ComponentWithStaticLibrary, CppBinary, CppExecutable, CppSharedLibrary, CppStaticLibrary, CppTestExecutable, SwiftBinary, SwiftExecutable, SwiftSharedLibrary, SwiftStaticLibrary, SwiftXCTestBinary, SwiftXCTestBundle, SwiftXCTestExecutable

      @Incubating
      public interface ComponentWithNativeRuntime
      extends SoftwareComponent

  Represents a component that produces outputs that run on a native platform.
  Since:
    4.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Provider<String>` | `getBaseName()` Returns the base name of this component.
    `NativePlatform` | `getTargetPlatform()` Returns the target platform for this component.
    `NativeToolChain` | `getToolChain()` Returns the tool chain for this component.
    `boolean` | `isDebuggable()` Returns true if this component has debugging enabled.
    `boolean` | `isOptimized()` Returns true if this component is optimized.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getBaseName

          Provider<String> getBaseName()

      Returns the base name of this component. This is used to calculate output file names.

    - #### isDebuggable

          boolean isDebuggable()

      Returns true if this component has debugging enabled.

    - #### isOptimized

          boolean isOptimized()

      Returns true if this component is optimized.

    - #### getTargetPlatform

          NativePlatform getTargetPlatform()

      Returns the target platform for this component.

    - #### getToolChain

          NativeToolChain getToolChain()

      Returns the tool chain for this component.